note
   description: "A VISUAL_COMPONENT decorated with a border"

class BORDER_DECORATOR
  inherit DECORATOR
            rename make as decorator_make
            end

create make

--------------------------------------------------------------------------------
feature {NONE} -- Creation

make (c : VISUAL_COMPONENT; border_width : INTEGER)
    -- Creation and initialization
  require positive_width : border_width >= 0
  do
    decorator_make(c)
    width := border_width
  ensure
    width_set: width = border_width
  end

--------------------------------------------------------------------------------
feature -- Commands

draw
  -- Draw on the screen
  do
    component.draw
    draw_border
  end

resize
    -- No resize for the example
  do end

--------------------------------------------------------------------------------
feature {NONE} -- Private

width : INTEGER  -- Width of the border around the component

draw_border
     -- Draw a border around the component
  do
    io.put_string("Drawing a border of width ")
    io.put_integer(width); io.put_new_line
  end

invariant
  positive_width : width >= 0

end
