note
   description: "Text that can be viewed graphically."

class TEXT_VIEW
  inherit VISUAL_COMPONENT

create make

--------------------------------------------------------------------------------
feature {NONE} -- Creation

make (new_text : STRING)
    -- Creation and initialization
  require
			new_text_not_void: new_text /= Void
  do
			text := new_text.twin
  ensure
    text_is_set: new_text.is_equal(text)
  end

--------------------------------------------------------------------------------
feature -- Commands

draw
    -- Draw the text
  do
			io.put_string(text)
			io.put_new_line
  end

resize
    -- No resize for the example
  do end

--------------------------------------------------------------------------------
feature {NONE} -- Private

text : STRING

invariant
  text_not_void: text /= Void

end
